# Get Workflows Endpoint: GET /agent-workflows Version: 2.68.0 Security: OAuth2 ## Query parameters: - `projectId` (string) The ID of the project - `limit` (integer) Maximum number of workflows to return. Capped at 50. - `offset` (integer) Number of workflows to skip. - `editor` (string,null) Return only workflows whose editors contain this value. ## Response 200 fields (application/json): - `data` (array, required) The page of results. - `data.id` (string,null) Example: "dcbc075f-a99c-4199-86ed-fb4ed5684dd9" - `data.companyId` (string, required) Example: "6081acde0377a83b93f05a10" - `data.projects` (string, required) Comma separated list of projectIds Example: "6299d91c04dd5dd5d81c99bb,63bc7bf22b5bc8f3d0625092" - `data.name` (string, required) Name for Workflow Example: "Some very nice workflow" - `data.model` (string, required) Model id used for prompting Example: "dcbc075f-a99c-4199-86ed-fb4ed5684dd9" - `data.description` (string,null) Description of Workflow Example: "Some more verbose description" - `data.trainingCompanyId` (string,null) Example: "6081acde0377a83b93f05a10" - `data.trainingProjects` (string,null) Comma separated list of training projectIds used as source documents repository Example: "6523b5bcac1cb469d7fc1bd9" - `data.createdAt` (string,null) Date when Workflow was added Example: "2023-10-27T11:38:18.000Z" - `data.createdBy` (string,null) Id of the caller that created the workflow; an OAuth client id when created via this API Example: "acme-integration" - `data.updatedBy` (string,null) Id of the caller that last updated the workflow; an OAuth client id when updated via this API Example: "acme-integration" - `data.updatedAt` (string,null) Date when Workflow was last modified Example: "2023-10-27T12:38:18.000Z" - `data.similarityThreshold` (number,null) Defines the minimum similarity between the uploaded document and context examples from the training project Example: 0.78 - `data.useOcrTextPages` (boolean,null) Ability to use ocrTextPages (Google OCR) in the prompt - `data.editors` (array) Editor ids that can edit workflow - `data.similarityApi` (boolean,null) Ability to set similarity service API for document training data Example: true - `data.useImages` (boolean,null) Ability to set images usage to workflow - `data.maxNumTrainingDocuments` (integer) Maximum number of training documents used in the workflow Example: 2 - `data.bboxRegionDetectionMode` (string,null) The bounding boxes region detection mode of prompting-settings Enum: "WORD_MATCHING", "LLM" - `data.workflowType` (string,null) Type of workflow (EXTRACTION returns value-form entities, PREPROCESSING returns raw JSON) Enum: "EXTRACTION", "PREPROCESSING" - `data.workflowConfiguration` (object,null) The workflow's step configuration: the agents to run and how they are chained - `data.version` (string,null) Workflow version - `data.sourceWorkflowId` (string,null) Source workflow identifier for imported workflows - `data.sourceWorkflowVersion` (string,null) Concrete source workflow version used for import - `data.isOotb` (boolean) Whether persisted import provenance classifies this workflow as OOTB - `limit` (integer, required) The limit applied to this page. Equal to the limit query parameter unless it exceeded the maximum allowed value, in which case it is that maximum. Example: 20 - `offset` (integer, required) The offset applied to this page (echoes the offset query parameter). - `totalCount` (integer, required) The total number of elements across all pages. Example: 137 ## Response 401 fields (application/json): - `status` (integer, required) Example: 422 - `title` (string, required) Example: "Request validation error" - `detail` (string,null) Example: "Validation error details" ## Response 403 fields (application/json): - `status` (integer, required) Example: 422 - `title` (string, required) Example: "Request validation error" - `detail` (string,null) Example: "Validation error details" ## Response 422 fields (application/json): - `status` (integer, required) Example: 422 - `title` (string, required) Example: "Request validation error" - `detail` (string,null) Example: "Validation error details"